%global debug_package %{nil}
%global flags_path sigs.k8s.io/kustomize/api

Name:           kustomize
Version:        5.7.0
Release:        1%{?dist}
Summary:        Customization of kubernetes YAML configurations.

License:        Apache-2.0
URL:            https://github.com/kubernetes-sigs/%{name}
Source:         https://github.com/kubernetes-sigs/%{name}/archive/refs/tags/kustomize/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go

%description
kustomize lets you customize raw,
template-free YAML files for multiple purposes,
leaving the original YAML untouched and usable as is.

%prep
%autosetup -n %{name}-%{name}-v%{version}

%build
go build -ldflags "-w -X %{flags_path}/provenance.version=v%{version} \
                      -X %{flags_path}/provenance.buildDate=$(date -u +'%Y-%m-%dT%H:%M:%SZ')" \
                      -o %{name} ./%{name}

mkdir generated_completions
./%{name}/%{name} completion bash > generated_completions/%{name}
./%{name}/%{name} completion fish > generated_completions/%{name}.fish
./%{name}/%{name} completion zsh  > generated_completions/_%{name}

%install
install -Dpm 0755 ./%{name}/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 generated_completions/%{name}      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/%{name}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_%{name}     -t %{buildroot}/%{zsh_completions_dir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
* Sun Jul 06 2025 Andrey Brusnik <dev@shdwchn.io> - 5.7.0-1
- chore(kustomize): Bump to 5.7.0

* Tue Apr 08 2025 Andrey Brusnik <dev@shdwchn.io> - 5.6.0-1
- feat: Add kustomize package
